Package wx :: Package lib :: Module plot :: Class PolyLine

[frames | no frames]

## Class PolyLine

    PolyPoints --+
                 |
                PolyLine

Class to define line type and style - All methods except __init__ are private.

Method Summary
| ``__init__`(self, points, **attr)` Creates PolyLine object...
| `draw(self, dc, printerScale, coord)`
| ``getSymExtent`(self, printerScale)` Width and Height of Marker

Method Details

### __init__(self, points, **attr)
(Constructor)

    Creates PolyLine object
    points - sequence (array, tuple or list) of (x,y) points making up line
    **attr - key word attributes
        Defaults:
            'colour'= 'black',          - wx.Pen Colour any wx.NamedColour
            'width'= 1,                 - Pen width
            'style'= wx.SOLID,          - wx.Pen style
            'legend'= ''                - Line Legend to display

  Overrides:
    `wx.lib.plot.PolyPoints.__init__`

### getSymExtent(self, printerScale)

Width and Height of Marker

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:08:39 2007 | http://epydoc.sf.net